#include <avr/io.h>
#include <avr/interrupt.h>

ISR (TIMER0_COMPA_vect)
{
  static uint8_t col = 0;

  switch (col) {
    case  0: PORTD &= ~(1 << 4) ; break;
    case  1: PORTD &= ~(1 << 5) ; break;
    case  2: PORTD &= ~(1 << 6) ; break;
    case  3: PORTD &= ~(1 << 7) ; break;
    case  4: PORTB &= ~(1 << 2) ; break;
    case  5: PORTB &= ~(1 << 3) ; break;
    case  6: PORTB &= ~(1 << 4) ; break;
    case  7: PORTB &= ~(1 << 5) ; break;
    case  8: PORTB &= ~(1 << 6) ; break;
    case  9: PORTB &= ~(1 << 7) ; break;
    case 10: PORTA &= ~(1 << 0) ; break;
    case 11: PORTA &= ~(1 << 1) ; break;
    case 12: PORTA &= ~(1 << 2) ; break;
    case 13: PORTA &= ~(1 << 3) ; break;
    case 14: PORTA &= ~(1 << 4) ; break;
    case 15: PORTA &= ~(1 << 5) ; break;
    case 16: PORTA &= ~(1 << 6) ; break;
    case 17: PORTA &= ~(1 << 7) ; break;
  }

  col += 1;
  if (col == 18)
    col = 0;
}

