#include <avr/io.h>
#include <avr/interrupt.h>

const uint8_t dataports[] = { 0xef, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xbf, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xf7, 0xff,
                              0xff, 0xef, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xbf, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0xff, 0xff, 0xfd,
                              0xff, 0xff, 0xfb, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xef, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xbf, 0xff, 0xff, 0x7f, };

ISR (TIMER0_COMPA_vect)
{
  static uint8_t col = 0;

  PORTD &= dataports[3*col];
  PORTB &= dataports[3*col+1];
  PORTA  = dataports[3*col+2];

  col += 1;
  if (col == 18)
    col = 0;
}

